#include <16F877.h>
//#device ICD=TRUE
#device adc=10

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES HS                       //High speed Osc (> 4mhz for PCM/PCH) (>10mhz for PCD)
#FUSES PUT                      //Power Up Timer
#FUSES NOPROTECT                //Code not protected from reading
#FUSES BROWNOUT                 //Reset when brownout detected
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOCPD                    //No EE protection
#FUSES NOWRT                    //Program memory not write protected
#FUSES NODEBUG                    //Debug mode for use with ICD

#use delay(clock=20000000)
#use i2c(Master,Fast,sda=PIN_C4,scl=PIN_C3,force_hw)
#define Edit_SW   PIN_B0
#define Up_SW     PIN_B1
#define Down_SW   PIN_B2
#define Right_SW  PIN_B4
#define Left_SW   PIN_B5
#define SPI_CS    PIN_C0
#define LED_Red   PIN_C1
#define SPI_SDO   PIN_C5
#define RS_TX     PIN_C6
#define RS_RX     PIN_C7
#define LCD_E     PIN_D0
#define LCD_RS    PIN_D1
#define LCD_DB4   PIN_D4
#define LCD_DB5   PIN_D5
#define LCD_DB6   PIN_D6
#define LCD_DB7   PIN_D7
#define SHT_SCK   PIN_E0   // SHT 'SCK'-Pin  PORT-E0
#define SHT_DAT   PIN_E1   // SHT 'DATA'-Pin PORT-E1

#define LCD_mode 0      // LCD Disp Library Set
#define RTC_WAddr 0xa2
#define RTC_RAddr 0xa3

#use fast_io(E)
